Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
keywords_data
/
bing
/
keyword_performance
/
live
Setting Live ‘Bing Keyword Performance’ Tasks
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/keyword_performance/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keywords": [
    "<string>"
  ],
  "location_name": "<string>",
  "location_code": 123,
  "location_coordinate": "<string>",
  "language_name": "<string>",
  "language_code": "<string>",
  "device": "<string>",
  "match": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.keyword": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.year": 123,
  "tasks.result.month": 123,
  "tasks.result.keyword_kpi": {},
  "tasks.result.keyword_kpi.desktop": [
    "<string>"
  ],
  "tasks.result.keyword_kpi.desktop.ad_position": "<string>",
  "tasks.result.keyword_kpi.desktop.clicks": 123,
  "tasks.result.keyword_kpi.desktop.impressions": 123,
  "tasks.result.keyword_kpi.desktop.average_cpc": 123,
  "tasks.result.keyword_kpi.desktop.ctr": 123,
  "tasks.result.keyword_kpi.desktop.total_cost": 123,
  "tasks.result.keyword_kpi.desktop.average_bid": 123,
  "tasks.result.keyword_kpi.mobile": [
    "<string>"
  ],
  "tasks.result.keyword_kpi.mobile.ad_position": "<string>",
  "tasks.result.keyword_kpi.mobile.clicks": 123,
  "tasks.result.keyword_kpi.mobile.impressions": 123,
  "tasks.result.keyword_kpi.mobile.average_cpc": 123,
  "tasks.result.keyword_kpi.mobile.ctr": 123,
  "tasks.result.keyword_kpi.mobile.total_cost": 123,
  "tasks.result.keyword_kpi.mobile.average_bid": 123,
  "tasks.result.keyword_kpi.tablet": [
    "<string>"
  ],
  "tasks.result.keyword_kpi.tablet.ad_position": "<string>",
  "tasks.result.keyword_kpi.tablet.clicks": 123,
  "tasks.result.keyword_kpi.tablet.impressions": 123,
  "tasks.result.keyword_kpi.tablet.average_cpc": 123,
  "tasks.result.keyword_kpi.tablet.ctr": 123,
  "tasks.result.keyword_kpi.tablet.total_cost": 123,
  "tasks.result.keyword_kpi.tablet.average_bid": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keywords
string[]
required

keywords required field The maximum number of keywords you can specify: 1000 The maximum number of characters for each keyword: 80 The maximum number of words for each keyword phrase: 10 the specified keywords will be converted to lowercase, data will be provided in a separate array learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_name
string
required

full name of search engine location required field if you don’t specify location_code or location_coordinate if you use this field, you don’t need to specify location_code or location_coordinate you can receive the list of available locations and languages by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/locations_and_languages example: "United States"

location_code
integer
required

search engine location code required field if you don’t specify location_name or location_coordinate if you use this field, you don’t need to specify location_name or location_coordinate you can receive the list of available locations and languages by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/locations_and_languages example: 2840

location_coordinate
string
required

GPS coordinates of a location required field if you don’t specify location_name or location_code if you use this field, you don’t need to specify location_name or location_code location_coordinate parameter should be specified in the “latitude,longitude” format the data will be provided for the country the specified coordinates belong to example: 52.6178549,-155.352142

language_name
string
required

full name of search engine language required field if you don’t specify language_code if you use this field, you don’t need to specify language_code you can receive the list of available locations and languages by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/locations_and_languages example: English

language_code
string
required

search engine language code required field if you don’t specify language_name you can receive the list of available locations and languages by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/locations_and_languages example: "en"

device
string

device type optional field specify this field if you want to get the data for a particular device typepossible values: desktop, mobile, tablet, all default value: all

match
string

keywords match type optional field can take the following values: aggregate returns data across all match types; broad returns data for all user queries containing the specified keyword with varying word order; phrase returns data for all user queries containing the specified keyword with identical word order; exact returns data for user query that matches the specified keyword;Note: the aggregate match type is applied by default

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.keyword
string

keyword in a POST array

tasks.result.location_code
integer

location code in a POST array if there is no data, then the value is null

tasks.result.language_code
string

language code in a POST array if there is no data, then the value is null

tasks.result.year
integer

indicates the year for which the data is provided for example: 2020

tasks.result.month
integer

indicates the month for which the data is provided for example: 10

tasks.result.keyword_kpi
object

object containing keyword metrics if there is no data, then the value is null

tasks.result.keyword_kpi.desktop
string[]

keyword data aggregated for desktop devices if there is no data, then the value is null

tasks.result.keyword_kpi.desktop.ad_position
string

represents the position of the relevant ad in SERP can take the following values: FirstPage1: The first ad to appear on the right side of the first search results page FirstPage2: The second ad to appear on the right side of the first search results page FirstPage3: The third ad to appear on the right side of the first search results page FirstPage4: The fourth ad to appear on the right side of the first search results page FirstPage5: The fifth ad to appear on the right side of the first search results page FirstPage6: The sixth ad to appear on the right side of the first search results page FirstPage7: The seventh ad to appear on the right side of the first search results page FirstPage8: The eighth ad to appear on the right side of the first search results page FirstPage9: The ninth ad to appear on the right side of the first search results page FirstPage10: The tenth ad to appear on the right side of the first search results page MainLine1: The first ad to appear at the top of the search results page MainLine2: The second ad to appear at the top of the search results page MainLine3: The third ad to appear at the top of the search results page MainLine4: The fourth ad to appear at the top of the search results page

tasks.result.keyword_kpi.desktop.clicks
integer

ad clicks the number of clicks that the keyword and match type generated during the last month

tasks.result.keyword_kpi.desktop.impressions
integer

ad impressions the number of impressions that the keyword and match type generated during the last month

tasks.result.keyword_kpi.desktop.average_cpc
integer

average cost per click, USD calculated by dividing the cost of all clicks by the number of clicks

tasks.result.keyword_kpi.desktop.ctr
integer

click-through rate as a percentage calculated by dividing the number of clicks by the number of impressions and multiplying the result by 100

tasks.result.keyword_kpi.desktop.total_cost
integer

total cost of an ad, USD the cost of using the specified keyword and match type during the last month

tasks.result.keyword_kpi.desktop.average_bid
integer

average bid of the keyword

tasks.result.keyword_kpi.mobile
string[]

keyword data aggregated for mobile devices if there is no data, then the value is null

tasks.result.keyword_kpi.mobile.ad_position
string

represents the position of the relevant ad in SERP can take the following values: FirstPage1: The first ad to appear on the right side of the first search results page FirstPage2: The second ad to appear on the right side of the first search results page FirstPage3: The third ad to appear on the right side of the first search results page FirstPage4: The fourth ad to appear on the right side of the first search results page FirstPage5: The fifth ad to appear on the right side of the first search results page FirstPage6: The sixth ad to appear on the right side of the first search results page FirstPage7: The seventh ad to appear on the right side of the first search results page FirstPage8: The eighth ad to appear on the right side of the first search results page FirstPage9: The ninth ad to appear on the right side of the first search results page FirstPage10: The tenth ad to appear on the right side of the first search results page MainLine1: The first ad to appear at the top of the search results page MainLine2: The second ad to appear at the top of the search results page MainLine3: The third ad to appear at the top of the search results page MainLine4: The fourth ad to appear at the top of the search results page

tasks.result.keyword_kpi.mobile.clicks
integer

ad clicks the number of clicks that the keyword and match type generated during the last month

tasks.result.keyword_kpi.mobile.impressions
integer

ad impressions the number of impressions that the keyword and match type generated during the last month

tasks.result.keyword_kpi.mobile.average_cpc
integer

average cost per click, USD calculated by dividing the cost of all clicks by the number of clicks

tasks.result.keyword_kpi.mobile.ctr
integer

click-through rate as a percentage calculated by dividing the number of clicks by the number of impressions and multiplying the result by 100

tasks.result.keyword_kpi.mobile.total_cost
integer

total cost of an ad, USD the cost of using the specified keyword and match type during the last month

tasks.result.keyword_kpi.mobile.average_bid
integer

average bid of the keyword

tasks.result.keyword_kpi.tablet
string[]

keyword data aggregated for tablet devices if there is no data, then the value is null

tasks.result.keyword_kpi.tablet.ad_position
string

represents the position of the relevant ad in SERP can take the following values: FirstPage1: The first ad to appear on the right side of the first search results page FirstPage2: The second ad to appear on the right side of the first search results page FirstPage3: The third ad to appear on the right side of the first search results page FirstPage4: The fourth ad to appear on the right side of the first search results page FirstPage5: The fifth ad to appear on the right side of the first search results page FirstPage6: The sixth ad to appear on the right side of the first search results page FirstPage7: The seventh ad to appear on the right side of the first search results page FirstPage8: The eighth ad to appear on the right side of the first search results page FirstPage9: The ninth ad to appear on the right side of the first search results page FirstPage10: The tenth ad to appear on the right side of the first search results page MainLine1: The first ad to appear at the top of the search results page MainLine2: The second ad to appear at the top of the search results page MainLine3: The third ad to appear at the top of the search results page MainLine4: The fourth ad to appear at the top of the search results page

tasks.result.keyword_kpi.tablet.clicks
integer

ad clicks the number of clicks that the keyword and match type generated during the last month

tasks.result.keyword_kpi.tablet.impressions
integer

ad impressions the number of impressions that the keyword and match type generated during the last month

tasks.result.keyword_kpi.tablet.average_cpc
integer

average cost per click, USD calculated by dividing the cost of all clicks by the number of clicks

tasks.result.keyword_kpi.tablet.ctr
integer

click-through rate as a percentage calculated by dividing the number of clicks by the number of impressions and multiplying the result by 100

tasks.result.keyword_kpi.tablet.total_cost
integer

total cost of an ad, USD the cost of using the specified keyword and match type during the last month

tasks.result.keyword_kpi.tablet.average_bid
integer

average bid of the keyword